Retrieve a domains's custom rules
curl --request GET \
--url https://api.gcore.com/waap/v1/domains/{domain_id}/custom-rules \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/waap/v1/domains/{domain_id}/custom-rules"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/domains/{domain_id}/custom-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"offset": 123,
"count": 123,
"results": [
{
"name": "Block foobar bot",
"enabled": true,
"action": {
"allow": {},
"block": {
"action_duration": "12h"
},
"captcha": {},
"handshake": {},
"monitor": {},
"tag": {
"tags": [
"<string>"
]
}
},
"conditions": [
{
"ip": {
"ip_address": "<string>",
"negation": false
},
"ip_range": {
"lower_bound": "<string>",
"upper_bound": "<string>",
"negation": false
},
"url": {
"url": "/wp-admin/",
"negation": false,
"match_type": "Contains"
},
"user_agent": {
"user_agent": "curl/",
"negation": false,
"match_type": "Contains"
},
"header": {
"header": "Origin",
"value": "<string>",
"negation": false,
"match_type": "Contains"
},
"header_exists": {
"header": "Origin",
"negation": false
},
"response_header": {
"header": "<string>",
"value": "<string>",
"negation": false,
"match_type": "Contains"
},
"response_header_exists": {
"header": "<string>",
"negation": false
},
"http_method": {
"negation": false
},
"file_extension": {
"file_extension": [
"pdf"
],
"negation": false
},
"content_type": {
"content_type": [
"application/xml"
],
"negation": false
},
"country": {
"country_code": "CN",
"negation": false
},
"organization": {
"organization": "UptimeRobot s.r.o",
"negation": false
},
"request_rate": {
"path_pattern": "/",
"requests": 21,
"time": 1800,
"ips": [
"<string>"
],
"http_methods": [],
"user_defined_tag": "<string>"
},
"owner_types": {
"negation": false,
"owner_types": [
"COMMERCIAL"
]
},
"tags": {
"tags": "botnetclient",
"negation": false
},
"session_request_count": {
"request_count": 123,
"negation": false
},
"user_defined_tags": {
"tags": [
"<string>"
],
"negation": false
},
"ja3": {
"ja3_fingerprints": [
"e7d705a3286e19ea42f587b344ee6865"
],
"negation": false
},
"ja4": {
"ja4_fingerprints": [
"t13d3113h2_e8f1e7e78f70_ce5650b735ce"
],
"negation": false
}
}
],
"id": 123,
"description": "<string>"
}
]
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Custom Rules
Retrieve a domains's custom rules
Extracts a list of custom rules assigned to a domain, offering filter, ordering, and pagination capabilities
GET
/
waap
/
v1
/
domains
/
{domain_id}
/
custom-rules
Retrieve a domains's custom rules
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
The domain ID
Query Parameters
Determine the field to order results by
Available options:
id, name, description, enabled, action, -id, -name, -description, -enabled, -action Example:
"-id"
Number of items to return
Required range:
0 <= x <= 100Number of items to skip
Required range:
0 <= x <= 100000Filter rules based on their name. Supports '*' as a wildcard character.
Example:
"Block by specific IP rule."
Filter rules based on their description. Supports '*' as a wildcard character.
Example:
"This rule blocks all the requests coming form a specific IP address."
Filter to refine results by specific actions
Available options:
allow, block, captcha, handshake, monitor, tag Example:
"block"
Filter rules based on their active status
Example:
false
Response
Successful Response
Was this page helpful?
⌘I